/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.storage.database;

import edu.stanford.smi.protege.model.*;
import edu.stanford.smi.protege.model.framestore.*;

public class DatabaseFrameStore_Test extends FrameStore_Test {

    // MySQL
    /*
    private static final String DRIVER = "com.mysql.jdbc.Driver";
    private static final String URL = "jdbc:mysql://fergerson-li-smi/test";
    private static final String USER = "myuser";
    private static final String PASSWORD = null;
    private static final String TABLE = "test_table";
    */

    // Oracle
    ///*
    private static final String DRIVER = "oracle.jdbc.driver.OracleDriver";
    private static final String URL = "jdbc:oracle:thin:@biostorm.stanford.edu:1521:PROTEGE";
    private static final String USER = "rwf";
    private static final String PASSWORD = "ray";
    private static final String TABLE = "test_table";
    //*/

    // Access
    /*
    private static final String DRIVER = "sun.jdbc.odbc.JdbcOdbcDriver";
    private static final String URL = "jdbc:odbc:protege-access";
    private static final String USER = "rwf";
    private static final String PASSWORD = null;
    private static final String TABLE = "test_table";
    */

    private static int count = 0;
    protected FrameStore createFrameStore(DefaultKnowledgeBase kb) {
        DatabaseFrameStore fs = new DatabaseFrameStore(kb, DRIVER, URL, USER, PASSWORD, TABLE + count++, true);
        fs.reinitializeTable();
        return fs;
    }
}
