/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.ui;

import java.awt.*;
import javax.swing.*;

import edu.stanford.smi.protege.util.*;
/**
 * 
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class ArchivePanel extends JPanel {
    private static boolean _displayPanel = true;
    private JCheckBox _displayPanelCheckBox;
    private JTextArea _comment;
    
    public ArchivePanel() {
        super(new BorderLayout());
        add(createCommentPanel(), BorderLayout.CENTER);
        add(createOptionPanel(), BorderLayout.SOUTH);
    }
    
    public static boolean displayPanel() {
        return _displayPanel;
    }
    public String getComment() {
        _displayPanel = _displayPanelCheckBox.isSelected();
        return _comment.getText();
    }
    private JComponent createCommentPanel() {
        _comment = ComponentFactory.createTextArea();
        _comment.setPreferredSize(new Dimension(300, 150));
        return new LabeledComponent("Comment", new JScrollPane(_comment));
    }
    private JComponent createOptionPanel() {
        _displayPanelCheckBox = new JCheckBox("Display this dialog");
        _displayPanelCheckBox.setSelected(_displayPanel);
        return _displayPanelCheckBox;
    }
}
